# Admin.

webform.admin:
  version: 1.x
  css:
    theme:
      css/webform.admin.css: {}
  js:
    js/webform.admin.js:  {}
  dependencies:
    - core/drupal
    - core/jquery
    - core/jquery.once
    - webform/webform.form

# Used preload libraries required by (modal) dialogs.
# @see js/webform.element.codemirror.js
webform.admin.dialog:
  version: 1.x
  css:
    theme:
      css/webform.admin.css: {}
  js:
    js/webform.admin.js:  {}
    js/webform.dialog.js:  {}
  dependencies:
    - core/drupal
    - core/jquery
    - core/jquery.ui.dialog
    - webform/webform.form
    - webform/webform.element.codemirror.yaml
    - webform/webform.element.html_editor
    - webform/webform.element.other
    - webform/webform.element.select2

webform.admin.translation:
  version: 1.x
  css:
    theme:
      css/webform.admin.translation.css: {}

# Theme

webform.theme.bartik:
  version: 1.x
  css:
    theme:
      css/webform.theme.bartik.css: {}

webform.theme.seven:
  version: 1.x
  css:
    theme:
      css/webform.theme.seven.css: {}

# Help.

webform.help:
  version: 1.x
  css:
    theme:
      css/webform.help.css: {}
  js:
    js/webform.help.js:  {}
  dependencies:
    - core/drupal
    - core/jquery
    - core/jquery.once
    - core/jquery.ui.accordion

# Webform.

webform.confirmation:
  version: 1.x
  css:
    theme:
      css/webform.confirmation.css: {}

webform.form:
  version: 1.x
  css:
    theme:
      css/webform.form.css: {}
  js:
    js/webform.form.js:  {}
  dependencies:
    - core/drupal
    - core/jquery
    - core/jquery.once
    - webform/webform.states

webform.assets.css:
  version: 1.x
  css:
    theme:
      css/webform.assets.css: { preprocess: false, minified: false }

webform.assets.javascript:
  version: 1.x
  js:
    js/webform.assets.js: { preprocess: false, minified: false }
  dependencies:
    - core/drupal
    - core/jquery
    - core/jquery.once

webform.navigation:
  version: 1.x
  css:
    theme:
      css/webform.navigation.css: {}

webform.progress:
  version: 1.x
  css:
    theme:
      css/webform.progress.css: {}

webform.progress.bar:
  version: 1.x
  css:
    theme:
      css/webform.progress.bar.css: {}

webform.states:
  version: 1.x
  js:
    js/webform.states.js:  {}

webform.tooltip:
  version: 1.x
  js:
    js/webform.tooltip.js: {}
  dependencies:
    - core/drupal
    - core/jquery.once
    - core/jquery.ui.tooltip

webform.form.disable_back:
  version: 1.x
  header: true
  js:
    js/webform.form.disable_back.js:  {preprocess: false}

webform.form.submit_once:
  version: 1.x
  js:
    js/webform.form.submit_once.js:  {}
  dependencies:
    - system/base
    - core/drupal
    - core/jquery
    - core/jquery.once

webform.form.unsaved:
  version: 1.x
  js:
    js/webform.form.unsaved.js:  {}
  dependencies:
    - core/drupal
    - core/jquery
    - core/jquery.once

# Elements.

webform.element.buttons:
  version: 1.x
  js:
    js/webform.element.buttons.js: {}
  dependencies:
    - core/jquery.ui.button
    - webform/jquery.common_ancestor

webform.element.codemirror.text:
  version: 1.x
  css:
    theme:
      css/webform.element.codemirror.css: {}
  js:
    js/webform.element.codemirror.js: {}
  dependencies:
    - webform/codemirror.text

webform.element.codemirror.yaml:
  version: 1.x
  css:
    theme:
      css/webform.element.codemirror.css: {}
  js:
    js/webform.element.codemirror.js: {}
  dependencies:
    - webform/codemirror.yaml

webform.element.codemirror.html:
  version: 1.x
  css:
    theme:
      css/webform.element.codemirror.css: {}
  js:
    js/webform.element.codemirror.js: {}
  dependencies:
    - webform/codemirror.html

webform.element.codemirror.css:
  version: 1.x
  css:
    theme:
      css/webform.element.codemirror.css: {}
  js:
    js/webform.element.codemirror.js: {}
  dependencies:
    - webform/codemirror.css

webform.element.codemirror.javascript:
  version: 1.x
  css:
    theme:
      css/webform.element.codemirror.css: {}
  js:
    js/webform.element.codemirror.js: {}
  dependencies:
    - webform/codemirror.javascript

webform.element.color:
  version: 1.x
  css:
    theme:
      css/webform.element.color.css: {}
  js:
    js/webform.element.color.js: {}
  dependencies:
    - core/modernizr
    - webform/webform.element.inputmask

webform.element.composite:
  version: 1.x
  css:
    component:
      css/webform.element.composite.css: {}

webform.element.counter:
  version: 1.x
  js:
    js/webform.element.counter.js: {}
  dependencies:
    - core/drupal
    - core/jquery
    - core/jquery.once
    - webform/jquery.counter

webform.element.date:
  version: 1.x
  js:
    js/webform.element.date.js: {}
  dependencies:
    - core/drupal.date

webform.element.details.save:
  version: 1.x
  js:
    js/webform.element.details.save.js: {}
  dependencies:
    - core/drupal
    - core/jquery
    - core/jquery.once

webform.element.details.toggle:
  version: 1.x
  css:
    theme:
      css/webform.element.details.toggle.css: {}
  js:
    js/webform.element.details.toggle.js: {}
  dependencies:
    - core/drupal
    - core/jquery
    - core/jquery.once

webform.element.flexbox:
  version: 1.x
  css:
    theme:
      css/webform.element.flexbox.css: {}

webform.element.image_file:
  version: 1.x
  css:
    theme:
      css/webform.element.image_file.css: {}

webform.element.html_editor:
  version: 1.x
  js:
    js/webform.element.html_editor.js: {}
  dependencies:
    - core/drupal
    - core/drupalSettings
    - core/jquery
    - core/jquery.once
    - webform/ckeditor

webform.element.inputmask:
  version: 1.x
  js:
    js/webform.element.inputmask.js: {}
  dependencies:
    - core/drupal
    - core/jquery
    - core/jquery.once
    - webform/jquery.inputmask

webform.element.multiple:
  version: 1.x
  css:
    component:
      css/webform.element.multiple.css: {}
  js:
    js/webform.element.multiple.js: {}

webform.element.likert:
  version: 1.x
  css:
    component:
      css/webform.element.likert.css: {}

webform.element.location:
  version: 1.x
  css:
    component:
      css/webform.element.location.css: {}
  js:
    js/webform.element.location.js: {}
  dependencies:
    - core/drupal
    - core/jquery
    - core/jquery.once
    - webform/jquery.geocomplete

webform.element.message:
  version: 1.x
  css:
    theme:
      css/webform.element.message.css: {}
  js:
    js/webform.element.message.js: {}
  dependencies:
    - core/drupal
    - core/jquery
    - core/jquery.once

webform.element.options:
  version: 1.x
  css:
    component:
      css/webform.element.options.css: {}

webform.element.other:
  version: 1.x
  css:
    component:
      css/webform.element.other.css: {}
  js:
    js/webform.element.other.js: {}
  dependencies:
    - core/drupal
    - core/jquery
    - core/jquery.once

webform.element.range:
  version: 1.x
  css:
    theme:
      css/webform.element.range.css: {}
  js:
    js/webform.element.range.js: {}
  dependencies:
    - core/modernizr

webform.element.rating:
  version: 1.x
  css:
    component:
      css/webform.element.rating.css: {}
  js:
    js/webform.element.rating.js: {}
  dependencies:
    - webform/jquery.rateit

webform.element.roles:
  version: 1.x
  js:
    js/webform.element.roles.js: {}
  dependencies:
    - core/drupal
    - core/jquery
    - core/jquery.once

webform.element.select2:
  version: 1.x
  css:
    theme:
      css/webform.element.select2.css: {}
  js:
    js/webform.element.select2.js: {}
  dependencies:
    - core/drupal
    - core/jquery
    - core/jquery.once
    - webform/jquery.select2

webform.element.signature:
  version: 1.x
  css:
    component:
      css/webform.element.signature.css: {}
  js:
    js/webform.element.signature.js: {}
  dependencies:
    - core/drupal
    - webform/signature_pad

webform.element.states:
  version: 1.x
  css:
    component:
      css/webform.element.states.css: {}

webform.element.text_format:
  version: 1.x
  js:
    js/webform.element.text_format.js: {}

webform.element.tableselect:
  version: 1.x
  css:
    theme:
      css/webform.element.tableselect.css: {}

webform.element.tableselect_sort:
  version: 1.x
  css:
    theme:
      css/webform.element.tableselect_sort.css: {}

webform.element.time:
  version: 1.x
  js:
    js/webform.element.time.js: {}
  dependencies:
    - core/drupal
    - webform/jquery.timepicker

webform.element.toggle:
  version: 1.x
  css:
    component:
      css/webform.element.toggle.css: {}
  js:
    js/webform.element.toggle.js: {}
  dependencies:
    - core/drupal
    - webform/jquery.toggles

webform.element.video_file:
  version: 1.x
  css:
    theme:
      css/webform.element.video_file.css: {}

# jQuery libraries.

jquery.common_ancestor:
  version: 1.x
  js:
    js/jquery.common_ancestor.js:  {}

# External libraries.

ckeditor:
  remote: http://ckeditor.com/
  version: 4.5.11
  license:
    name: MIT
    url: http://codemirror.net/LICENSE
    gpl-compatible: true
  cdn:
    /libraries/ckeditor/: 'https://cdn.ckeditor.com/4.5.11/standard/'
  js:
    /libraries/ckeditor/ckeditor.js: { preprocess: false, minified: true }

codemirror.text:
  remote: https://github.com/codemirror/codemirror
  version: &webform_codemirror_version 5.21.0
  license: &webform_codemirror_license
    name: MIT
    url: http://codemirror.net/LICENSE
    gpl-compatible: true
  cdn: &webform_codemirror_cdn
    /libraries/codemirror/lib/: https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.21.0/
    /libraries/codemirror/: https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.21.0/
  css:
    theme:
      /libraries/codemirror/lib/codemirror.css: {}
  js:
    /libraries/codemirror/lib/codemirror.js: {}
    /libraries/codemirror/addon/runmode/runmode.js: {}

codemirror.yaml:
  version: *webform_codemirror_version
  license: *webform_codemirror_license
  cdn: *webform_codemirror_cdn
  js:
    /libraries/codemirror/mode/yaml/yaml.js: {}
  dependencies:
    - webform/codemirror.text

codemirror.html:
  version: *webform_codemirror_version
  license: *webform_codemirror_license
  cdn: *webform_codemirror_cdn
  js:
    /libraries/codemirror/mode/xml/xml.js: {}
    /libraries/codemirror/mode/htmlmixed/htmlmixed.js: {}
  dependencies:
    - webform/codemirror.text

codemirror.css:
  version: *webform_codemirror_version
  license: *webform_codemirror_license
  cdn: *webform_codemirror_cdn
  js:
    /libraries/codemirror/mode/css/css.js: {}
  dependencies:
    - webform/codemirror.text

codemirror.javascript:
  version: *webform_codemirror_version
  license: *webform_codemirror_license
  cdn: *webform_codemirror_cdn
  js:
    /libraries/codemirror/mode/javascript/javascript.js: {}
  dependencies:
    - webform/codemirror.text

jquery.counter:
  remote: https://github.com/qwertypants/jQuery-Word-and-Character-Counter-Plugin
  version: 2.3.5
  license:
    name: MIT
    url: http://opensource.org/licenses/mit-license.php
    gpl-compatible: true
  cdn:
    /libraries/word-and-character-counter/: https://cdn.rawgit.com/qwertypants/jQuery-Word-and-Character-Counter-Plugin/2.3.5/
  js:
    /libraries/word-and-character-counter/word-and-character-counter.min.js: {}
  dependencies:
    - core/jquery

jquery.geocomplete:
  remote: http://ubilabs.github.io/geocomplete/
  version: 1.7.0
  license:
    name: MIT
    url: https://github.com/ubilabs/geocomplete/blob/master/MIT-LICENSE.txt
    gpl-compatible: true
  cdn:
    /libraries/geocomplete/: https://cdnjs.cloudflare.com/ajax/libs/geocomplete/1.7.0/
  js:
    /libraries/geocomplete/jquery.geocomplete.min.js: {}
  dependencies:
    - core/jquery

jquery.inputmask:
  remote: https://github.com/RobinHerbots/jquery.inputmask
  version: 3.3.3
  license:
    name: MIT
    url: http://opensource.org/licenses/mit-license.php
    gpl-compatible: true
  cdn:
    /libraries/jquery.inputmask/dist/min/: https://cdnjs.cloudflare.com/ajax/libs/jquery.inputmask/3.3.3/
  js:
    /libraries/jquery.inputmask/dist/min/jquery.inputmask.bundle.min.js: {}
  dependencies:
    - core/jquery

jquery.rateit:
  remote: https://github.com/gjunge/rateit.js
  version: 1.1.1
  license:
    name: MIT
    url: https://github.com/gjunge/rateit.js/blob/master/LICENSE.md
    gpl-compatible: true
  cdn:
    /libraries/jquery.rateit/: https://cdn.rawgit.com/gjunge/rateit.js/1.1.1/
  css:
    theme:
      /libraries/jquery.rateit/scripts/rateit.css: {}
  js:
    /libraries/jquery.rateit/scripts/jquery.rateit.min.js: {}
  dependencies:
    - core/jquery

jquery.select2:
  remote: https://select2.github.io/
  version: 4.0.3
  license:
    name: MIT
    url: http://opensource.org/licenses/mit-license.php
    gpl-compatible: true
  cdn:
    /libraries/select2/dist/: https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/
  css:
    theme:
      /libraries/select2/dist/css/select2.min.css: {}
  js:
    /libraries/select2/dist/js/select2.min.js: {}
  dependencies:
    - core/jquery

jquery.timepicker:
  remote: https://github.com/jonthornton/jquery-timepicker
  version: 1.11.8
  license:
    name: MIT
    url: http://opensource.org/licenses/mit-license.php
    gpl-compatible: true
  cdn:
    /libraries/jquery.timepicker/: https://cdn.rawgit.com/jonthornton/jquery-timepicker/1.11.8/
  css:
    theme:
      /libraries/jquery.timepicker/jquery.timepicker.css: {}
  js:
    /libraries/jquery.timepicker/jquery.timepicker.min.js: {}
  dependencies:
    - core/jquery

jquery.toggles:
  remote: https://github.com/simontabor/jquery-toggles/
  version: 4.0.0
  license:
    name: MIT
    url: http://opensource.org/licenses/mit-license.php
    gpl-compatible: true
  cdn:
    /libraries/jquery.toggles/: https://cdn.rawgit.com/simontabor/jquery-toggles/v4.0.0/
  css:
    theme:
      /libraries/jquery.toggles/css/toggles-full.css: {}
  js:
    /libraries/jquery.toggles/toggles.min.js: {}
  dependencies:
    - core/jquery

signature_pad:
  remote: https://github.com/szimek/signature_pad
  version: 1.5.3
  license:
    name: MIT
    url: http://opensource.org/licenses/mit-license.php
    gpl-compatible: true
  cdn:
    /libraries/signature_pad/: https://cdnjs.cloudflare.com/ajax/libs/signature_pad/1.5.3/
  js:
    /libraries/signature_pad/signature_pad.js: {}
